SoftwareModification (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.SoftwareModification interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app
Interface SoftwareModification

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Version

All Known Subinterfaces:
  SoftwareFix, SoftwareUpdate

    public interface SoftwareModification

extends Version, LogicalElement, ConfigurationItem

Naming Rules:
  0="manufacturerName,productName,versionString" 1="manufacturerName,productId" 2="managedSystemName"
Persistable:
  true
Table Name:
  SOFTMODF
Top Level:
  true
Display Name:
  manufacturerName,productName,versionString

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.Version
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getManufacturerName()`
`int` | `getMaxCompatibleLevel()`
`int` | `getMaxCompatibleModifier()`
`int` | `getMaxCompatibleRelease()`
`int` | `getMaxCompatibleVersion()`
`int` | `getMinCompatibleLevel()`
`int` | `getMinCompatibleModifier()`
`int` | `getMinCompatibleRelease()`
`int` | `getMinCompatibleVersion()`
`java.lang.String` | `getProductId()`
`java.lang.String` | `getProductName()`
`java.lang.String` | `getType()`
`int` | `getUpdateCriticality()`
`boolean` | `hasManufacturerName()`
`boolean` | `hasMaxCompatibleLevel()`
`boolean` | `hasMaxCompatibleModifier()`
`boolean` | `hasMaxCompatibleRelease()`
`boolean` | `hasMaxCompatibleVersion()`
`boolean` | `hasMinCompatibleLevel()`
`boolean` | `hasMinCompatibleModifier()`
`boolean` | `hasMinCompatibleRelease()`
`boolean` | `hasMinCompatibleVersion()`
`boolean` | `hasProductId()`
`boolean` | `hasProductName()`
`boolean` | `hasType()`
`boolean` | `hasUpdateCriticality()`
`void` | `setManufacturerName(java.lang.String manufacturer)`
`void` | `setMaxCompatibleLevel(int v)`
`void` | `setMaxCompatibleModifier(int v)`
`void` | `setMaxCompatibleRelease(int v)`
`void` | `setMaxCompatibleVersion(int v)`
`void` | `setMinCompatibleLevel(int v)`
`void` | `setMinCompatibleModifier(int v)`
`void` | `setMinCompatibleRelease(int v)`
`void` | `setMinCompatibleVersion(int v)`
`void` | `setProductId(java.lang.String id)`
`void` | `setProductName(java.lang.String name)`
`void` | `setType(java.lang.String type)`
`void` | `setUpdateCriticality(int v)`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getManufacturerName

    java.lang.String getManufacturerName()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setManufacturerName

    void setManufacturerName(java.lang.String manufacturer)

### hasManufacturerName

    boolean hasManufacturerName()

### getProductName

    java.lang.String getProductName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProductName

    void setProductName(java.lang.String name)

### hasProductName

    boolean hasProductName()

### getProductId

    java.lang.String getProductId()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProductId

    void setProductId(java.lang.String id)

### hasProductId

    boolean hasProductId()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String type)

### hasType

    boolean hasType()

### getMaxCompatibleVersion

    int getMaxCompatibleVersion()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxCompatibleVersion

    void setMaxCompatibleVersion(int v)

### hasMaxCompatibleVersion

    boolean hasMaxCompatibleVersion()

### getMinCompatibleVersion

    int getMinCompatibleVersion()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMinCompatibleVersion

    void setMinCompatibleVersion(int v)

### hasMinCompatibleVersion

    boolean hasMinCompatibleVersion()

### getMaxCompatibleRelease

    int getMaxCompatibleRelease()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxCompatibleRelease

    void setMaxCompatibleRelease(int v)

### hasMaxCompatibleRelease

    boolean hasMaxCompatibleRelease()

### getMinCompatibleRelease

    int getMinCompatibleRelease()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMinCompatibleRelease

    void setMinCompatibleRelease(int v)

### hasMinCompatibleRelease

    boolean hasMinCompatibleRelease()

### getMaxCompatibleModifier

    int getMaxCompatibleModifier()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxCompatibleModifier

    void setMaxCompatibleModifier(int v)

### hasMaxCompatibleModifier

    boolean hasMaxCompatibleModifier()

### getMinCompatibleModifier

    int getMinCompatibleModifier()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMinCompatibleModifier

    void setMinCompatibleModifier(int v)

### hasMinCompatibleModifier

    boolean hasMinCompatibleModifier()

### getMaxCompatibleLevel

    int getMaxCompatibleLevel()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxCompatibleLevel

    void setMaxCompatibleLevel(int v)

### hasMaxCompatibleLevel

    boolean hasMaxCompatibleLevel()

### getMinCompatibleLevel

    int getMinCompatibleLevel()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMinCompatibleLevel

    void setMinCompatibleLevel(int v)

### hasMinCompatibleLevel

    boolean hasMinCompatibleLevel()

### getUpdateCriticality

    int getUpdateCriticality()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUpdateCriticality

    void setUpdateCriticality(int v)

### hasUpdateCriticality

    boolean hasUpdateCriticality()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD